VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Public Member Functions | List of all members
DataPackageIterator Struct Reference
Version 4.12

IDataPackage iterator. More...

## Classes
struct | Item

## Public Member Functions
| DataPackageIterator (IDataPackage *pkg, uint32_t index=0u)
DataPackageIterator & | operator++ ()
const Item & | operator-> () const
const Item & | operator* () const
bool | operator!= (const DataPackageIterator &other) const
uint32_t | getIndex () const

## Detailed Description

IDataPackage iterator.

## Constructor & Destructor Documentation

DataPackageIterator | ( | IDataPackage * | pkg,
|  | uint32_t | index = `0u`
| ) |  |
| inline

## Member Function Documentation

uint32_t getIndex | ( |  | ) | const
| inline

bool operator!= | ( | const DataPackageIterator & | other | ) | const
| inline

const Item& operator* | ( |  | ) | const
| inline

DataPackageIterator& operator++ | ( |  | ) |
| inline

const Item& operator-> | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- idatapackage.h